<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:tools="http://schemas.android.com/tools"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <variable
            name="viewModel"
            type="es.verdnatura.presentation.view.feature.parking.fragment.ParkingViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/verdnatura_black">



            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/scan_input"
                style="@style/ScanLineTextSearch"
                android:layout_width="match_parent"
                android:hint="@string/Escaner"
                android:inputType="textCapCharacters"
                android:lines="1"
                android:maxLines="1"
                android:textColor="@color/verdnatura_white"

                android:imeOptions="actionDone"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@+id/main_toolbar"
                />


        <TextView
            android:id="@+id/textView"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/layout_margin_min"
            android:layout_marginTop="@dimen/layout_margin_min"
            android:layout_marginEnd="@dimen/layout_margin_min"
            android:gravity="center"
            android:text="@string/txtparking"
            android:textColor="@color/verdnatura_pumpkin_orange"
            android:textSize="@dimen/body2"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/scan_input" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/fragment_parking_scan_list"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="@dimen/layout_margin_min"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/textView"
            tools:listitem="@layout/item_barcode_row" />


        <include
            android:id="@+id/main_toolbar"
            layout="@layout/toolbar_fragment"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <LinearLayout
            android:id="@+id/splash_progress"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:background="@color/verdnatura_black_8_alpha_6"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:gravity="center"
            app:isVisible="@{viewModel.isLoading}">

            <com.airbnb.lottie.LottieAnimationView
                android:layout_width="wrap_content"
                android:layout_height="@dimen/verdnatura_logo_large_height"
                app:lottie_autoPlay="true"
                app:lottie_loop="true"
                app:lottie_rawRes="@raw/orange_loading"
                app:lottie_speed="2" />
        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>